Bug 1864351 - [RFE][v2v][UI][RHV to CNV VM import] Allow volume mode Block
Summary: [RFE][v2v][UI][RHV to CNV VM import] Allow volume mode Block
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.6.0
Assignee: Yaacov Zamir
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-03 19:18 UTC by Ilanit Stein
Modified: 2020-08-25 20:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6423 None closed Bug 1864351: Add support for block volumes 2020-09-08 14:28:52 UTC

Description Ilanit Stein 2020-08-03 19:18:17 UTC
Description of problem:
On OCP-4.5/CNV-2.4,
the VM import from RHV target storage volume mode choice box is static and contain the default "Filesystem" option.
With this RFE added in CNV-2.5:
Bug 1857926 - [RFE][v2v][RHV to CNV VM import] Add support for block volumes
Please add the "block" option  

Version-Release number of selected component (if applicable):
OCP-4.5

Comment 1 Yaacov Zamir 2020-08-04 06:07:05 UTC
The Jira issue, for book keeping: https://issues.redhat.com/browse/CNV-5823

Comment 2 Filip Krepinsky 2020-08-10 17:06:27 UTC
it seems the support for this should be in master of vm-import-operator already.

@Yaacov It seems the target release of the vm-import-operator fix is CNV 2.5? What version of CNV is going to be released with openshift 4.6? Could we implement this RFE now?

Comment 3 Yaacov Zamir 2020-08-10 17:24:28 UTC
I am planned to reinstall our server today, got stuck on some BZs :-) will upgrade soon.

Comment 4 Yaacov Zamir 2020-08-10 17:27:17 UTC
cnv 2.5 will be released with openshift 4.6,
so if back end will have the feature in 2.5 we can support it in 4.6 UI

Comment 5 Filip Krepinsky 2020-08-10 17:34:51 UTC
cool, if there would be a version mismatch, then any import would fail on unknown fields


Note You need to log in before you can comment on or make changes to this bug.